Name: mydns
Version: 1.1.0
Release: alt2.M40.1
License: GPL
Summary: A MySQL-based Internet DNS server
Group: System/Servers
Url: http://mydns.bboy.net/
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Source0: http://mydns.bboy.net/download/%name-%version.tar.bz2
Source1: %name.init
Patch0: mydns-0.11.0-conf.patch.bz2

BuildRequires: libMySQL-devel MySQL-server zlib-devel zlib-devel-static docbook-utils-print texinfo cvs

%define webadminroot /var/www/html/admin
%define admin 0

%description
MyDNS is a free DNS server for UNIX implemented from scratch and
designed to utilize the MySQL database for data storage.

Its primary objectives are stability, security, interoperability,
and speed, though not necessarily in that order.

MyDNS does not include recursive name service, nor a resolver
library. It is primarily designed for organizations with many
zones and/or resource records who desire the ability to perform
real-time dynamic updates on their DNS data via MySQL.

MyDNS starts and is ready to answer questions immediately, no
matter how much DNS data you have in the database. It is extremely
fast and memory-efficient. It includes complete documentation,
including a manual and a FAQ. It supports a few frills, including
round robin DNS, dynamic load balancing, and outgoing AXFR for
non-MyDNS nameservers.

%if %admin
%package admin
Summary: Web admin GUI written in php for %name
Group: System/Servers
Requires: webserver mod_php php-common php-mysql
Requires: %name = %version

%description admin
This package contains a web admin GUI written in php for %name
%endif

%package devel
Summary: Development libraries and headers for %name
Group: Development/C

%description devel
This package contains the development libraries and headers for
%name

%prep
%setup -q
%patch0 -p0

# path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/php|%_bindir/php|g"

%__subst "s|libmysqlclient.so.10|libmysqlclient.so|g" m4/mydns.m4
%__subst "s|libmysqlclient.so.12|libmysqlclient.so|g" m4/mydns.m4

%build
%__autoreconf
%configure \
    --with-mysql \
    --with-mysql-lib=%_libdir \
    --with-mysql-include=%_includedir/mysql \
    --with-zlib=%_libdir \
    --without-pgsql \
    --enable-status \
    --enable-alias

# use "--without-pgsql" until people complain about it ;)

# use this patch or not?
#pushd contrib
#    patch -p0 < alias.patch
#popd

%make

# build the pdf
pushd doc
    make pdf
popd

%install
# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

%makeinstall

install -d %buildroot%_initdir
install -d %buildroot%webadminroot/%name
install -d %buildroot/var/run/%name

install -m644 contrib/admin.php %buildroot%webadminroot/%name/index.php
install -m644 contrib/stats.php %buildroot%webadminroot/%name/

# generate and fix the config on the fly
%buildroot%_sbindir/mydns --dump-config > %buildroot%_sysconfdir/%name.conf
perl -pi -e "s|^user = nobody|user = %name|g" %buildroot%_sysconfdir/%name.conf
perl -pi -e "s|^group = nogroup|group = %name|g" %buildroot%_sysconfdir/%name.conf
chmod 640 %buildroot%_sysconfdir/%name.conf

# install sysv script
install -m0755 %SOURCE1 %buildroot%_initdir/%name

# devel stuff
install -d %buildroot%_includedir
install -d %buildroot%_libdir
install src/lib/mydns.h %buildroot%_includedir/
install src/lib/libmydns.a %buildroot%_libdir/

%find_lang %name

%pre
/usr/sbin/groupadd -r -f %name &> /dev/null ||:
/usr/sbin/useradd -r -g %name -d /dev/null -c 'Mydns name server' -s /bin/false -n %name &> /dev/null ||:

%post
%post_service %name
%install_info %name.info

%preun
%preun_service %name
%uninstall_info %name.info

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog NEWS QUICKSTART* README* TODO doc/*.pdf
%doc contrib/README.alias
%config(noreplace) %attr(0640,root,mydns) %_sysconfdir/%name.conf
%_initdir/%name
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%_infodir/*
%dir %attr(0755,%name,%name) /var/run/%name

%if %admin
%files admin
%doc contrib/README
%dir %webadminroot/%name
%config(noreplace) %attr(0644,root,root) %webadminroot/%name/index.php
%attr(0644,root,root) %webadminroot/%name/stats.php
%endif

%files devel
%_libdir/*.a
%_includedir/*.h

%changelog
* Fri Jun 13 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0-alt2.M40.1
- Backport for branch 4.0

* Fri Jun 13 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0-alt2
- Fix start priority to start after mysql

* Sat Feb 23 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.1.0-alt1
- Build for ALT
